package Risk.Internals;

import Risk.Internals.Exceptions.*;

/**
* Element Jugador que conte el seu nom, l'id i un boolea que indica si ha fet
* alguna conquesta durant el torn actual.
*/
public class Player {
  private String nom;
  private int id;
  private boolean Conquest = false; // Per saber si en aquest torn ha conquistat alguna cosa

  public Player(String s, int id) throws NoMemoria {
    nom = s;
    this.id = id;
  }

  public int id(){
    return id;
  }

  public String nom(){
    return nom;
  }
  
  // Nou torn
  public void ResetConquest(){
    Conquest = false;
  }
  
  // Ha conquistat algun terreny en aquest torn
  public void Conquest(){
    Conquest = true;
  }
  
  public boolean GetConquest(){
    return Conquest;
  }

}
